for file in `ls`
do 
   [ ! -r ../head/$file ] && echo " ../HEAD: $file "
   [ ! -r ../msg/$file ] && echo " ../MSG: $file "
   [ ! -r ../body/$file ] && echo " ../BODY: $file "
   [ ! -r ../../$file ] && echo " ROOT: $file "
done
ls -l | wc -l
